|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QStyle

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QStyle class reference

### Public Functions

- virtual QPixmap standardPixmap ( StandardPixmap standardPixmap, const QStyleOption * option = 0, const QWidget * widget = 0 ) const = 0 `(obsolete)`

## Member Function Documentation

### QPixmap QStyle::standardPixmap ( StandardPixmap standardPixmap, const QStyleOption * option = 0, const QWidget * widget = 0 ) const `[pure virtual]`

Returns a pixmap for the given standardPixmap.

A standard pixmap is a pixmap that can follow some existing GUI style or guideline. The option argument can be used to pass extra information required when defining the appropriate pixmap. The widget argument is optional and can also be used to aid the determination of the pixmap.

Developers calling standardPixmap() should instead call standardIcon() Developers who re-implemented standardPixmap() should instead re-implement the slot standardIconImplementation().

See also standardIcon().